<?PHP
    // include the script
    require_once('class.gameq.php');
    require_once('q3awss_quakeStrings.php');
    require_once('q3awss_config.php');


    // initialise class
    $query = new GameQ;

    // query the servers
    $data = $query->getInfo($servers);

    printf("<TABLE border=2 BGCOLOR=WHITE><TR>\n");


    // go through all servers
    foreach ($servers AS $server_id => $values){
//	printf("<PRE>");
//	print_r($thisServer);

	printf("<TD valign = top>\n");
        // if there are no error messages, print out the data for the server
        if (!isset($query->err_msg[$server_id])){

		//grab the array
		$thisServer= $data[$server_id];
		
		
		$thisFragLimit = $thisServer['fraglimit'] ;
		$thisTimeLimit = $thisServer['timelimit'];
		$thisGameType = quakeGameType($thisServer['g_gametype']);
		$thisMapName =  $thisServer['mapname'] ;

		$thisServerName=quakeColorize($thisServer['sv_hostname']);
		$mapPic = sprintf("<img src = \"$mapDir$thisMapName.jpg\"><BR>");
		printf("$thisServerName<BR>\n");

		printf("$mapPic<BR>\n");
		printf("<B>Game Type:</B> $thisGameType<BR>\n");
		printf("<B>Frag Limit:</B> $thisFragLimit<BR>\n");
		printf("<B>Time Limit:</B> $thisTimeLimit minutes<BR>\n");
		// print players 
		$allPlayers = $thisServer['players'];
		printf("<TABLE border=1><TR><TD><B>Player Name</B></TD><TD><B>Kills</B></TD><TD><B>Ping</B></TD>");
		foreach ($allPlayers AS $playerID => $values)
		{
			$thisPlayer = $allPlayers[$playerID];
			$thisPlayersName = quakeColorize($thisPlayer['name']);
			$thisPlayersScore = $thisPlayer['score'];
			$thisPlayersPing = $thisPlayer['ping'];
			if($thisPlayersPing == 0)
			{
				$thisPlayersPing = "BOT";
			}

			printf("<TR><TD>$thisPlayersName</TD><TD>$thisPlayersScore</TD><TD>$thisPlayersPing</TD></TR>\n");
		}
		printf("</TABLE>\n");
		printf("</TD>\n");
        }

        // if there are error messages, print them
        else {
            echo 'No response from server'.$server_id;
        }
    }
	printf("</TABLE>");
?>
