<?php
	function quakeColorize($str)
	{
  $enable_color=1;
  $i=0;
  $ascii=0;
  $str_length=strlen($str);
  
  if ($str_length<1)
  	return " ";

  if ($enable_color)
  	$processed_str="<font color=#FFFFFF>";

  for ($i=0;$i< $str_length-1;$i++)
  {
    if ($str[$i]=="^" && $str[$i+1]!="^")
    {

      $ascii = ord($str[$i+1]);

      if ($enable_color)
      {
        // ---------------------------------------------------------
        // Thanks to K9-Moonshine for the OSP rgb color code filter.
        // ---------------------------------------------------------
        // if F,f,B,b,N
      	if ($ascii == 70 || $ascii == 102 || $ascii == 66 || $ascii == 98 || $ascii == 78)
      	{
		  		// ignore these codes
		  		$i++;
		  		continue;
      	}

      	$processed_str .= "</font>";

     		// if ^X
      	// actually ideally this would set the background color
      	// like it does in Q3. Oh well.
     		if (($ascii == 88 || $ascii == 120) && strlen($str)-$i>6)
      	{
		  		$processed_str .= "<font color=#";
		  		$processed_str .= substr($str, $i+2,6);
		  		$processed_str .= ">";
		  		$i += 7;
		  		continue;
      	}
        // ---------------------------------------------------------

      	switch($ascii%8)
      	{
      	  case 0:
      	    $processed_str .= "<font color=#555555>";
      	    break;
      	  case 1:
      	    $processed_str .= "<font color=#FF0000>";
      	    break;
      	  case 2:
      	    $processed_str .= "<font color=#00FF00>";
      	    break;
      	  case 3:
      	    $processed_str .= "<font color=#FFFF00>";
      	    break;
      	  case 4:
      	    $processed_str .= "<font color=#4444FF>";
      	    break;
      	  case 5:
      	    $processed_str .= "<font color=#00FFFF>";
      	    break;
      	  case 6:
      	    $processed_str .= "<font color=#FF00FF>";
      	    break;
      	  case 7:
      	    $processed_str .= "<font color=#FFFFFF>";
      	    break;
      	}
      }
      $i++;
    }
    else
    {
      $processed_str .=$str[$i];
    }
  }
  if ($i<$str_length)
  {
  	$processed_str .= $str[$i];
  }
  
  if ($enable_color)
    $processed_str .= "</font>";
  
  return $processed_str;
}

	function quakeGameType($inString)
	{
		$outString = str_replace("0", "Free-For-All DM", $inString);
		$outString = str_replace("1", "Tournament 1-on-1", $outString);
		$outString = str_replace("2", "Single-Player", $outString);
		$outString = str_replace("3", "Team Deathmatch", $outString);
		$outString = str_replace("4", "Capture the Flag", $outString);
		return($outString);	
	

	}




?> 
